Bug 993431 - generate new resource-agents package tarball to cleanup after heartbeat merger
Summary: generate new resource-agents package tarball to cleanup after heartbeat merger
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: resource-agents
Version: 6.6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: David Vossel
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-05 22:44 UTC by David Vossel
Modified: 2014-10-14 04:59 UTC (History)
7 users (show)

Fixed In Version: resource-agents-3.9.5-1.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
The resource-agents packages have been upgraded to upstream version 3.9.5, which provides a number of bug fixes and enhancements over the previous version.
Clone Of:
Environment:
Last Closed: 2014-10-14 04:59:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 728908 None CLOSED resource-agents: Coverity defects 2019-02-25 23:03:28 UTC
Red Hat Product Errata RHBA-2014:1428 normal SHIPPED_LIVE resource-agents bug fix and enhancement update 2014-10-14 01:06:18 UTC

Internal Links: 728908

Description David Vossel 2013-08-05 22:44:36 UTC
Description of problem:

resource-agents-3.9.2-28.el6 is a merger of both the upstream heartbeat agents and the rhel 6.x supported rgmanager agents. That merger involves updates to the build system that alter the initial make files generated with the tarball when 'make distcheck' was run to create the initial release. As a result, the resource-agents package is currently half of the original distributed tarball, and the other half is replaced with this merger patch.  This technically fine, but it would be great if we could create a new source tar ball to clean this up.

The merger patch is also incapable of giving new files permissions, so we are currently having to make up for this in the .spec file.  A new source tar ball would resolve this as well.

This isn't high priority or anything, it is more of an improvement that will help us maintain the resource-agents package moving forward.

-- Vossel

Comment 8 michal novacek 2014-09-04 13:16:11 UTC
I have checked in the errata rpmdiff page that the only difference of the current package (resource-agents-3.9.5-1.el6) with the previous package (resource-agents-3.9.2-49.el6) is only in the man pages which is the desired result.

Comment 9 errata-xmlrpc 2014-10-14 04:59:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1428.html


Note You need to log in before you can comment on or make changes to this bug.